################
# Pyxel configuration file for testing model calibration mode
################

calibration:

  mode:  pipeline
  result_type: image
  result_fit_range: [0, 4, 2, 4]

  target_data_path: ['tests/data/calibrate-data.txt']   # not used
  target_fit_range: [1, 5, 0, 2]

  fitness_function:
    func: pyxel.calibration.fitness.sum_of_abs_residuals
    arguments:

#    seed:
  algorithm:
    type: sade
    generations: 2
    population_size: 2
    variant: 2

  parameters:
    - key:  detector.characteristics.amp
      values: _
      logarithmic: false
      boundaries: [1., 10.]
    - key:  pipeline.charge_transfer.cdm.arguments.tr_p
      values: [_, _]
      logarithmic: true
      boundaries: [1.e-3, 2.]
    - key:  pipeline.charge_transfer.cdm.arguments.nt_p
      values: [_, _]
      logarithmic: true
      boundaries: [1.e-2, 1.e+1]
    - key:  pipeline.charge_transfer.cdm.arguments.beta_p
      values: _
      logarithmic: false
      boundaries: [0., 1.]
    - key:  pipeline.charge_measurement.cdm.arguments.std_deviation
      values: _
      logarithmic: false
      boundaries: [10., 200.]

  outputs:
    output_folder: "tests/temp/outputs"

ccd_detector:

  geometry:
    row: 1
    col: 1

  environment:

  characteristics:

pipeline:

  # -> photon
  photon_generation:

  # photon -> photon
  optics:

  # photon -> charge
  charge_generation:

  # charge -> charge
  charge_transfer:

  # charge -> signal
  charge_measurement:

  # signal -> image
  readout_electronics: